Index: branches/playability/src/world_entities/projectiles/spike.cc
===================================================================
--- branches/playability/src/world_entities/projectiles/spike.cc	(revision 10286)
+++ branches/playability/src/world_entities/projectiles/spike.cc	(revision 10289)
@@ -57,8 +57,4 @@
   this->angle = 0;
   this->rotationSpeed = 130;
-/*
-  this->halo = new Billboard();
-  this->halo->setSize(.35, .35);
-  this->halo->setTexture("hbolt_halo.png");*/
 }
 
Index: branches/playability/src/world_entities/projectiles/spike.h
===================================================================
--- branches/playability/src/world_entities/projectiles/spike.h	(revision 10286)
+++ branches/playability/src/world_entities/projectiles/spike.h	(revision 10289)
@@ -45,6 +45,4 @@
     float                             rotationSpeed;
 
-//     Billboard*                        halo;
-
     WorldEntity* hitEntity; // FIXME TEMPORARY
 
Index: branches/playability/src/world_entities/projectiles/spike_ball.h
===================================================================
--- branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10286)
+++ branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10289)
@@ -41,6 +41,4 @@
     inline void setVelocity(Vector velocity) { this->velocity = velocity; }
 
-//     inline Vector getRotationVector() { return this->rotationVector; }
-//     inline float getAngle() { return this->angle; }
 
   private:
Index: branches/playability/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10286)
+++ branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10289)
@@ -823,20 +823,13 @@
         this->travelNode->setAbsCoor(this->getAbsCoor());
         this->travelNode->updateNode(0.01f);
-        
+
         this->setParent(this->travelNode);
-        
-        // If track exists put travelNode on trackNode of track
-        if (this->entityTrack)
-           this->travelNode->setParent(this->entityTrack->getTrackNode());
-           
-        
-        
         this->setRelCoor(0,0,0);
 
         State::getCameraNode()->setParentSoft(this->travelNode);
-        //State::getCameraNode()->setParentSoft(this->entityTrack->getTrackNode());
+        //State::getCameraNode()->setParentSoft(this);
         //State::getCameraNode()->setRelCoorSoft(-0.01, 40, 0);
         State::getCameraTargetNode()->setParentSoft(this->travelNode);
-        //State::getCameraTargetNode()->setParentSoft(this->entityTrack->getTrackNode());
+        //State::getCameraTargetNode()->setParentSoft(this);
         //State::getCameraTargetNode()->setRelCoorSoft(0,0,0);
         this->setCameraMode(Camera::ViewTop);
@@ -1011,6 +1004,5 @@
 
     //this moves camera and ship along the travel path.
-    if (!this->entityTrack)
-       this->travelNode->shiftCoor(Vector(this->cameraSpeed * dt, 0, 0));
+    this->travelNode->shiftCoor(Vector(this->cameraSpeed * dt, 0, 0));
 
     break;
Index: branches/playability/src/world_entities/weapons/medium_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/medium_blaster.cc	(revision 10286)
+++ branches/playability/src/world_entities/weapons/medium_blaster.cc	(revision 10289)
@@ -40,8 +40,6 @@
   {
    delete [] this->shootAnim[i];
-//    delete [] this->objComp[i];
   }
   delete [] this->shootAnim;
-//   delete [] this->objComp;
 }
 
@@ -53,10 +51,5 @@
 void MediumBlaster::init()
 {
-  //this->registerObject(this, MediumBlaster::_objectList);
-
-//  this->model = (Model*)ResourceManager::getInstance()->load("models/guns/test_gun.obj", OBJ, RP_CAMPAIGN);
-
   this->loadModel("models/guns/blaster.obj", .33);
-  
 
   this->setStateDuration(WS_SHOOTING, 0.2);   // 5 Schuss pro Sekunde
@@ -84,13 +77,8 @@
 
   this->objComp = new PNode**[this->getBarrels()];
-//   this->emissionPoint = new PNode*[this->getBarrels()];
   this->shootAnim = new Animation3D**[this->getBarrels()];
   for (int i = 0; i < this->getBarrels(); i++)
   {
     this->objComp[i] = new PNode* [this->getSegs()];
-//     this->emissionPoint[i] = new PNode;
-//     this->emissionPoint[i]->setParent(this);             //< One EmissionPoint, that is a PNode connected to the weapon. You can set this to the exitting point of the Projectiles
-//     this->emissionPoint[i]->setName("EmissionPoint");
-//     this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
     this->shootAnim[i] = new Animation3D* [this->getSegs()];
     for(int j = 0; j < this->getSegs(); j++)
@@ -168,7 +156,5 @@
   glMatrixMode(GL_MODELVIEW);
   glPushMatrix();
-  glTranslatef (this->getAbsCoor ().x,
-                this->getAbsCoor ().y,
-                this->getAbsCoor ().z);
+  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
 
   static_cast<StaticModel*>(this->getModel())->draw(2);
@@ -180,8 +166,6 @@
 
   glPushMatrix();
-  glTranslatef (this->objComp[0][1]->getAbsCoor().x, this->objComp[0][1]->getAbsCoor().y, this->objComp[0][1]->getAbsCoor().z);
-  static_cast<StaticModel*>(this->getModel())->draw(0);
-  glPopMatrix();
-
+    glTranslatef (this->objComp[0][1]->getAbsCoor().x, this->objComp[0][1]->getAbsCoor().y, this->objComp[0][1]->getAbsCoor().z);
+    static_cast<StaticModel*>(this->getModel())->draw(0);
   glPopMatrix();
 
Index: branches/playability/src/world_entities/weapons/spike_thrower.cc
===================================================================
--- branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10286)
+++ branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10289)
@@ -161,3 +161,6 @@
   pj->setAbsDir(this->getAbsDir());
   pj->activate();
+
+//   this->increaseEnergy( - this->getProjectile()->getMinEnergy());
+
 }