Index: /code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 10295)
+++ /code/trunk/src/modules/weapons/weaponmodes/EnergyDrink.cc	(revision 10296)
@@ -110,5 +110,5 @@
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());
-        projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
 
         projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
Index: /code/trunk/src/modules/weapons/weaponmodes/FusionFire.cc
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 10295)
+++ /code/trunk/src/modules/weapons/weaponmodes/FusionFire.cc	(revision 10296)
@@ -70,5 +70,5 @@
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());
-        projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
         projectile->scale(5);
 
Index: /code/trunk/src/modules/weapons/weaponmodes/HsW01.cc
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 10295)
+++ /code/trunk/src/modules/weapons/weaponmodes/HsW01.cc	(revision 10296)
@@ -121,5 +121,5 @@
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());
-        projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
 
         projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
Index: /code/trunk/src/modules/weapons/weaponmodes/LaserFire.cc
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 10295)
+++ /code/trunk/src/modules/weapons/weaponmodes/LaserFire.cc	(revision 10296)
@@ -68,5 +68,5 @@
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());
-        projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
 
         projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
Index: /code/trunk/src/modules/weapons/weaponmodes/LightningGun.cc
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 10295)
+++ /code/trunk/src/modules/weapons/weaponmodes/LightningGun.cc	(revision 10296)
@@ -74,5 +74,5 @@
         projectile->setOrientation(this->getMuzzleOrientation());
         projectile->setPosition(this->getMuzzlePosition());
-        projectile->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
 
         projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
Index: /code/trunk/src/modules/weapons/weaponmodes/RocketFire.cc
===================================================================
--- /code/trunk/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 10295)
+++ /code/trunk/src/modules/weapons/weaponmodes/RocketFire.cc	(revision 10296)
@@ -76,5 +76,5 @@
         rocket->setOrientation(this->getMuzzleOrientation());
         rocket->setPosition(this->getMuzzlePosition());
-        rocket->setVelocity(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getVelocity() + this->getMuzzleDirection() * this->speed_);
+        rocket->setVelocity(this->getMuzzleDirection() * this->speed_);
         rocket->scale(2);
 