Index: /branches/mount_points/src/lib/graphics/importer/oif/object_information_file.cc
===================================================================
--- /branches/mount_points/src/lib/graphics/importer/oif/object_information_file.cc	(revision 10312)
+++ /branches/mount_points/src/lib/graphics/importer/oif/object_information_file.cc	(revision 10313)
@@ -60,5 +60,5 @@
   if( fileName.empty())
   {
-    PRINTF(3)("No filename specified for object information loading");
+    PRINTF(1)("No filename specified for object information loading");
     return;
   }
@@ -69,5 +69,5 @@
   {
     // report an error
-    PRINTF(3)("Could not load XML File %s: %s @ %d:%d\n", fileName.c_str(), XMLDoc->ErrorDesc(), XMLDoc->ErrorRow(), XMLDoc->ErrorCol());
+    PRINTF(1)("Could not load XML File %s: %s @ %d:%d\n", fileName.c_str(), XMLDoc->ErrorDesc(), XMLDoc->ErrorRow(), XMLDoc->ErrorCol());
     return;
   }
@@ -80,5 +80,5 @@
   {
     // report an error
-    PRINTF(3)("Specified XML File is not an orxonox object information file (<ObjectInformationFile> element missing)\n");
+    PRINTF(1)("Specified XML File is not an orxonox object information file (<ObjectInformationFile> element missing)\n");
     return;
   }
Index: /branches/mount_points/src/world_entities/mount_point.cc
===================================================================
--- /branches/mount_points/src/world_entities/mount_point.cc	(revision 10312)
+++ /branches/mount_points/src/world_entities/mount_point.cc	(revision 10313)
@@ -19,4 +19,6 @@
 #include "util/loading/factory.h"
 #include "util/loading/load_param.h"
+#include "util/loading/load_param_xml.h"
+
 
 
@@ -122,6 +124,21 @@
   LoadParam(root, "OrxClass", this, MountPoint, setOrxClass)
   .describe("Sets the class this mount points should host");
-}
-
+
+  LoadParamXML(root, "Details", this, MountPoint, loadDetails);
+}
+
+
+/**
+ * load the parameters from the world entity
+ * @param root the root element of this xml branche
+ */
+void MountPoint::loadDetails(const TiXmlElement* root)
+{
+  if( this->_mount != NULL)
+  {
+    PRINTF(0)("Got detail informations\n");
+    this->_mount->loadParams( root);
+  }
+}
 
 
Index: /branches/mount_points/src/world_entities/mount_point.h
===================================================================
--- /branches/mount_points/src/world_entities/mount_point.h	(revision 10312)
+++ /branches/mount_points/src/world_entities/mount_point.h	(revision 10313)
@@ -18,4 +18,5 @@
     void initMountPoint(const TiXmlElement* root);
     void loadParam(const TiXmlElement* root);
+    void loadDetails(const TiXmlElement* root);
 
     void setDescription(const std::string& description);
Index: /branches/mount_points/src/world_entities/world_entity.cc
===================================================================
--- /branches/mount_points/src/world_entities/world_entity.cc	(revision 10312)
+++ /branches/mount_points/src/world_entities/world_entity.cc	(revision 10313)
@@ -145,4 +145,7 @@
   .defaultValues("", 1.0f, 0);
 
+  LoadParam(root, "mountpoints", this, WorldEntity, loadMountPoints)
+  .describe("the fileName of the object information file (optional)");
+
   LoadParam(root, "maxHealth", this, WorldEntity, setHealthMax)
   .describe("The Maximum health that can be loaded onto this entity")
@@ -216,8 +219,4 @@
         {
 	  this->buildObbTree(obbTreeDepth);
-
-          // now get the object information file for this model, if any
-          std::string oifName = fileName.substr(0, fileName.length() - 4) + ".oif";
-          this->loadMountPoints( model, oifName);
         }
       }
@@ -277,5 +276,5 @@
  * @param fileName the name of the file
  */
-void WorldEntity::loadMountPoints( Model* model, const std::string& fileName)
+void WorldEntity::loadMountPoints(const std::string& fileName)
 {
   PRINTF(5)("loading the oif File: %s\n", fileName.c_str());
@@ -283,4 +282,7 @@
   // now load the object information file
   this->oiFile = new ObjectInformationFile(fileName);
+
+  // get the model to load
+  Model* model = this->getModel();
 
   // extract the mount points
Index: /branches/mount_points/src/world_entities/world_entity.h
===================================================================
--- /branches/mount_points/src/world_entities/world_entity.h	(revision 10312)
+++ /branches/mount_points/src/world_entities/world_entity.h	(revision 10313)
@@ -53,5 +53,5 @@
   Model* getModel(unsigned int modelNumber = 0) const { return (this->models.size() > modelNumber)? this->models[modelNumber] : NULL; };
 
-  void loadMountPoints( Model* model, const std::string& fileName);
+  void loadMountPoints(const std::string& fileName);
   inline void loadMD2Texture(const std::string& fileName) { this->md2TextureFileName = fileName; }
 