Index: trunk/src/world_entities/effects/explosion.cc
===================================================================
--- trunk/src/world_entities/effects/explosion.cc	(revision 10316)
+++ trunk/src/world_entities/effects/explosion.cc	(revision 10317)
@@ -79,5 +79,5 @@
     Explosion::explosionParticles = new SpriteParticles(5000);
     Explosion::explosionParticles->setName("ExplosionExplosionParticles");
-    Explosion::explosionParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    Explosion::explosionParticles->setMaterialTexture("textures/radial-trans-noise.png");
     Explosion::explosionParticles->setLifeSpan(1.5, .3);
     Explosion::explosionParticles->setRadius(0.0, 10);
Index: trunk/src/world_entities/effects/lightning_bolt.cc
===================================================================
--- trunk/src/world_entities/effects/lightning_bolt.cc	(revision 10316)
+++ trunk/src/world_entities/effects/lightning_bolt.cc	(revision 10317)
@@ -44,5 +44,5 @@
 
   this->material = new Material();
-  this->material->setDiffuseMap("maps/lightning_bolt.png");
+  this->material->setDiffuseMap("textures/lightning_bolt.png");
   //this->offset = Vector(-1440.00, 100.00, 280.00);
 
@@ -58,5 +58,5 @@
   this->soundSource.setSourceNode(this);
 
-  this->thunderBuffer = OrxSound::ResourceSoundBuffer("sound/atmosphere/thunder.wav");
+  this->thunderBuffer = OrxSound::ResourceSoundBuffer("sounds/atmosphere/thunder.wav");
 }
 
Index: trunk/src/world_entities/elements/glgui_energywidget.cc
===================================================================
--- trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 10316)
+++ trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 10317)
@@ -37,12 +37,12 @@
     this->_valueText.setChangedTextColor(Color::white);
 
-    //this->setBackgroundTexture("maps/gui_element_background_2.png");
+    //this->setBackgroundTexture("textures/gui/gui_element_background_2.png");
     this->setBackgroundColor(Color(.5,.5,.5,1));
 
     //this->_name.setBackgroundTexture(Texture());
-    //this->_valueText.setBackgroundTexture("maps/gui_element_background_2.png");
+    //this->_valueText.setBackgroundTexture("textures/gui/gui_element_background_2.png");
     this->_bar.setBackgroundTexture(Texture());
     this->_bar.setBackgroundColor(Color(0,0,0,0));
-    this->_bar.setForegroundTexture("maps/gui_element_background_faded.png");
+    this->_bar.setForegroundTexture("textures/gui/gui_element_background_faded.png");
     this->_bar.setForegroundColor(Color(.5, .5, .5, 1));
     this->_bar.setChangedValueColor(Color::black);
Index: trunk/src/world_entities/elements/glgui_radar.cc
===================================================================
--- trunk/src/world_entities/elements/glgui_radar.cc	(revision 10316)
+++ trunk/src/world_entities/elements/glgui_radar.cc	(revision 10317)
@@ -40,5 +40,5 @@
   void GLGuiRadar::init()
   {
-    this->setBackgroundTexture("gui_radar.png");
+    this->setBackgroundTexture("textures/gui/gui_radar.png");
 
     this->_updateInterval = .01f;
Index: trunk/src/world_entities/elements/image_entity.cc
===================================================================
--- trunk/src/world_entities/elements/image_entity.cc	(revision 10316)
+++ trunk/src/world_entities/elements/image_entity.cc	(revision 10317)
@@ -70,5 +70,5 @@
   this->setBindNode(this);
   this->material = new Material;
-  this->setTexture("pictures/error_texture.png");
+  this->setTexture("textures/error_texture.png");
   this->bBillboarding = false;
 }
Index: trunk/src/world_entities/environments/mapped_water.cc
===================================================================
--- trunk/src/world_entities/environments/mapped_water.cc	(revision 10316)
+++ trunk/src/world_entities/environments/mapped_water.cc	(revision 10317)
@@ -162,7 +162,7 @@
   mat.setDiffuseMap(refrTex, 1);
   // load normal map
-  mat.setDiffuseMap("pictures/water_normalmap.bmp", GL_TEXTURE_2D, 2);
+  mat.setDiffuseMap("textures/water_normalmap.bmp", GL_TEXTURE_2D, 2);
   // load dudv map
-  mat.setDiffuseMap("pictures/water_dudvmap.bmp", GL_TEXTURE_2D, 3);
+  mat.setDiffuseMap("textures/water_dudvmap.bmp", GL_TEXTURE_2D, 3);
 
   // sets texture parameters for reflection texture
Index: trunk/src/world_entities/npcs/door.cc
===================================================================
--- trunk/src/world_entities/npcs/door.cc	(revision 10316)
+++ trunk/src/world_entities/npcs/door.cc	(revision 10317)
@@ -55,5 +55,5 @@
   this->bOpen = false;
 
-  this->loadMD2Texture("maps/doors.jpg");
+  this->loadMD2Texture("textures/doors.jpg");
   this->loadModel("models/creatures/doors.md2", this->scale);
 
Index: trunk/src/world_entities/npcs/gate.cc
===================================================================
--- trunk/src/world_entities/npcs/gate.cc	(revision 10316)
+++ trunk/src/world_entities/npcs/gate.cc	(revision 10317)
@@ -74,5 +74,5 @@
   this->bOpen = false;
 
-  this->loadMD2Texture("maps/wheel.jpg");
+  this->loadMD2Texture("textures/wheel.jpg");
   this->loadModel("models/creatures/hypergate.md2", this->scale);
 
Index: trunk/src/world_entities/npcs/repair_station.cc
===================================================================
--- trunk/src/world_entities/npcs/repair_station.cc	(revision 10316)
+++ trunk/src/world_entities/npcs/repair_station.cc	(revision 10317)
@@ -76,5 +76,5 @@
   this->animationCurrent = REPAIR_CYCLE01;
 
-  this->loadMD2Texture("maps/repairstation.jpg");
+  this->loadMD2Texture("textures/repairstation.jpg");
   this->loadModel("models/creatures/repairstation.md2", this->scale);
 
Index: trunk/src/world_entities/particles/dot_particles.cc
===================================================================
--- trunk/src/world_entities/particles/dot_particles.cc	(revision 10316)
+++ trunk/src/world_entities/particles/dot_particles.cc	(revision 10317)
@@ -64,5 +64,5 @@
   this->registerObject(this, DotParticles::_objectList);
 
-  this->material.setDiffuseMap("maps/radial-trans-noise.png");
+  this->material.setDiffuseMap("textures/radial-trans-noise.png");
 }
 
Index: trunk/src/world_entities/particles/model_particles.cc
===================================================================
--- trunk/src/world_entities/particles/model_particles.cc	(revision 10316)
+++ trunk/src/world_entities/particles/model_particles.cc	(revision 10317)
@@ -31,5 +31,5 @@
 
 SHELL_COMMAND(texture, ModelParticles, setMaterialTexture)
-->defaultValues("maps/evil-flower.png");
+->defaultValues("textures/evil-flower.png");
 
 
@@ -70,5 +70,5 @@
   this->registerObject(this, ModelParticles::_objectList);
 
-  this->material.setDiffuseMap("maps/radial-trans-noise.png");
+  this->material.setDiffuseMap("textures/radial-trans-noise.png");
 }
 
Index: trunk/src/world_entities/particles/sprite_particles.cc
===================================================================
--- trunk/src/world_entities/particles/sprite_particles.cc	(revision 10316)
+++ trunk/src/world_entities/particles/sprite_particles.cc	(revision 10317)
@@ -30,5 +30,5 @@
 
 SHELL_COMMAND(texture, SpriteParticles, setMaterialTexture)
-    ->defaultValues("maps/evil-flower.png");
+    ->defaultValues("textures/evil-flower.png");
 
 
@@ -69,5 +69,5 @@
   this->registerObject(this, SpriteParticles::_objectList);
 
-  this->material.setDiffuseMap("maps/radial-trans-noise.png");
+  this->material.setDiffuseMap("textures/radial-trans-noise.png");
 }
 
Index: trunk/src/world_entities/projectiles/boomerang_projectile.cc
===================================================================
--- trunk/src/world_entities/projectiles/boomerang_projectile.cc	(revision 10316)
+++ trunk/src/world_entities/projectiles/boomerang_projectile.cc	(revision 10317)
@@ -87,5 +87,5 @@
     BoomerangProjectile::trailParticles = new SpriteParticles(2000);
     BoomerangProjectile::trailParticles->setName("BoomerangProjectileTrailParticles");
-    BoomerangProjectile::trailParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    BoomerangProjectile::trailParticles->setMaterialTexture("textures/radial-trans-noise.png");
     BoomerangProjectile::trailParticles->setLifeSpan(1.0, .3);
     BoomerangProjectile::trailParticles->setRadius(0.0, .5);
@@ -102,5 +102,5 @@
     BoomerangProjectile::explosionParticles = new SpriteParticles(200);
     BoomerangProjectile::explosionParticles->setName("BoomerangProjectileExplosionParticles");
-    BoomerangProjectile::explosionParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    BoomerangProjectile::explosionParticles->setMaterialTexture("textures/radial-trans-noise.png");
     BoomerangProjectile::explosionParticles->setLifeSpan(.5, .3);
     BoomerangProjectile::explosionParticles->setRadius(0.0, 10);
Index: trunk/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- trunk/src/world_entities/projectiles/guided_missile.cc	(revision 10316)
+++ trunk/src/world_entities/projectiles/guided_missile.cc	(revision 10317)
@@ -86,5 +86,5 @@
     GuidedMissile::trailParticles = new SpriteParticles(2000);
     GuidedMissile::trailParticles->setName("GuidedMissileTrailParticles");
-    GuidedMissile::trailParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    GuidedMissile::trailParticles->setMaterialTexture("textures/radial-trans-noise.png");
     GuidedMissile::trailParticles->setLifeSpan(1.0, .3);
     GuidedMissile::trailParticles->setRadius(0.0, .5);
@@ -101,5 +101,5 @@
     GuidedMissile::explosionParticles = new SpriteParticles(200);
     GuidedMissile::explosionParticles->setName("GuidedMissileExplosionParticles");
-    GuidedMissile::explosionParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    GuidedMissile::explosionParticles->setMaterialTexture("textures/radial-trans-noise.png");
     GuidedMissile::explosionParticles->setLifeSpan(.5, .3);
     GuidedMissile::explosionParticles->setRadius(0.0, 10);
Index: trunk/src/world_entities/projectiles/rocket.cc
===================================================================
--- trunk/src/world_entities/projectiles/rocket.cc	(revision 10316)
+++ trunk/src/world_entities/projectiles/rocket.cc	(revision 10317)
@@ -80,5 +80,5 @@
     Rocket::trailParticles = new SpriteParticles(2000);
     Rocket::trailParticles->setName("RocketTrailParticles");
-    Rocket::trailParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    Rocket::trailParticles->setMaterialTexture("textures/radial-trans-noise.png");
     Rocket::trailParticles->setLifeSpan(1.0, .3);
     Rocket::trailParticles->setRadius(0.0, .5);
@@ -95,5 +95,5 @@
     Rocket::explosionParticles = new SpriteParticles(200);
     Rocket::explosionParticles->setName("RocketExplosionParticles");
-    Rocket::explosionParticles->setMaterialTexture("maps/radial-trans-noise.png");
+    Rocket::explosionParticles->setMaterialTexture("textures/radial-trans-noise.png");
     Rocket::explosionParticles->setLifeSpan(.5, .3);
     Rocket::explosionParticles->setRadius(0.0, 10);
Index: trunk/src/world_entities/skysphere.cc
===================================================================
--- trunk/src/world_entities/skysphere.cc	(revision 10316)
+++ trunk/src/world_entities/skysphere.cc	(revision 10317)
@@ -43,5 +43,5 @@
   this->toList(OM_BACKGROUND);
   if (fileName == NULL)
-    this->initialize("pictures/sky-replace.jpg");
+    this->initialize("textures/sky-replace.jpg");
   else
     this->initialize(fileName);
Index: trunk/src/world_entities/space_ships/collision_probe.cc
===================================================================
--- trunk/src/world_entities/space_ships/collision_probe.cc	(revision 10316)
+++ trunk/src/world_entities/space_ships/collision_probe.cc	(revision 10317)
@@ -65,5 +65,5 @@
 
   this->toList(OM_GROUP_00);
-  this->loadMD2Texture("maps/dr_freak.pcx");
+  this->loadMD2Texture("textures/dr_freak.pcx");
   this->loadModel("models/dr_freak.md2");
 
Index: trunk/src/world_entities/space_ships/cruizer.cc
===================================================================
--- trunk/src/world_entities/space_ships/cruizer.cc	(revision 10316)
+++ trunk/src/world_entities/space_ships/cruizer.cc	(revision 10317)
@@ -127,5 +127,5 @@
   this->burstSystem->addEmitter(this->burstEmitter);
   this->burstSystem->setName("SpaceShip_Burst_System");
-  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("maps/radial-trans-noise.png");
+  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("textures/radial-trans-noise.png");
   this->burstSystem->setLifeSpan(1.0, .3);
   this->burstSystem->setRadius(0.0, 1.5);
Index: trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- trunk/src/world_entities/space_ships/space_ship.cc	(revision 10316)
+++ trunk/src/world_entities/space_ships/space_ship.cc	(revision 10317)
@@ -225,5 +225,5 @@
   this->burstSystem->addEmitter(this->burstEmitter);
   this->burstSystem->setName("SpaceShip_Burst_System");
-  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("maps/radial-trans-noise.png");
+  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("textures/radial-trans-noise.png");
   this->burstSystem->setLifeSpan(1.0, .3);
   this->burstSystem->setRadius(0.0, 1.0);
Index: trunk/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 10316)
+++ trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 10317)
@@ -169,5 +169,5 @@
   this->burstSystem->addEmitter(this->burstEmitter);
   this->burstSystem->setName("SpaceShip_Burst_System");
-  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("maps/radial-trans-noise.png");
+  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("textures/radial-trans-noise.png");
   this->burstSystem->setLifeSpan(1.0, .3);
   this->burstSystem->setRadius(0.0, 1.5);
Index: trunk/src/world_entities/space_ships/turbine_hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 10316)
+++ trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 10317)
@@ -167,5 +167,5 @@
   this->burstSystem->addEmitter(this->burstEmitter[1]);
   this->burstSystem->setName("SpaceShip_Burst_System");
-  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("maps/radial-trans-noise.png");
+  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("textures/radial-trans-noise.png");
   this->burstSystem->setLifeSpan(1.0, .3);
   this->burstSystem->setRadius(0.0, 1.5);
Index: trunk/src/world_entities/weapons/aim.cc
===================================================================
--- trunk/src/world_entities/weapons/aim.cc	(revision 10316)
+++ trunk/src/world_entities/weapons/aim.cc	(revision 10317)
@@ -43,5 +43,5 @@
     this->loadParams(root);
   else
-    this->setTexture("maps/aim.png");
+    this->setTexture("textures/aim.png");
 }
 
Index: trunk/src/world_entities/weapons/crosshair.cc
===================================================================
--- trunk/src/world_entities/weapons/crosshair.cc	(revision 10316)
+++ trunk/src/world_entities/weapons/crosshair.cc	(revision 10317)
@@ -37,5 +37,5 @@
     this->loadParams(root);
   else
-    this->setTexture("maps/aim.png");
+    this->setTexture("textures/aim.png");
 }
 
Index: trunk/src/world_entities/weapons/fps_sniper_rifle.cc
===================================================================
--- trunk/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 10316)
+++ trunk/src/world_entities/weapons/fps_sniper_rifle.cc	(revision 10317)
@@ -84,5 +84,5 @@
   this->material->setIllum(3);
   this->material->setAmbient(1.0, 1.0, 1.0);
-  this->material->setDiffuseMap("maps/rifle01tex.jpg");
+  this->material->setDiffuseMap("textures/rifle01tex.jpg");
 
   this->setStateDuration(WS_SHOOTING, .1);
@@ -95,6 +95,6 @@
   //this->minCharge = 2;
 
-  this->setActionSound(WA_SHOOT, "sound/laser.wav");
-  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
+  this->setActionSound(WA_SHOOT, "sounds/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
 
 
Index: trunk/src/world_entities/weather_effects/lightning_effect.cc
===================================================================
--- trunk/src/world_entities/weather_effects/lightning_effect.cc	(revision 10316)
+++ trunk/src/world_entities/weather_effects/lightning_effect.cc	(revision 10317)
@@ -263,14 +263,14 @@
 
   if (this->thunderTextureA) {
-    this->thunderBolt[0]->setTexture("maps/thunderbA1.png");
-    this->thunderBolt[1]->setTexture("maps/thunderbA2.png");
-    this->thunderBolt[2]->setTexture("maps/thunderbA3.png");
-    this->thunderBolt[3]->setTexture("maps/thunderbA4.png");
+    this->thunderBolt[0]->setTexture("textures/thunderbA1.png");
+    this->thunderBolt[1]->setTexture("textures/thunderbA2.png");
+    this->thunderBolt[2]->setTexture("textures/thunderbA3.png");
+    this->thunderBolt[3]->setTexture("textures/thunderbA4.png");
   }
   else {
-    this->thunderBolt[0]->setTexture("maps/thunderbB1.png");
-    this->thunderBolt[1]->setTexture("maps/thunderbB2.png");
-    this->thunderBolt[2]->setTexture("maps/thunderbB3.png");
-    this->thunderBolt[3]->setTexture("maps/thunderbB4.png");
+    this->thunderBolt[0]->setTexture("textures/thunderbB1.png");
+    this->thunderBolt[1]->setTexture("textures/thunderbB2.png");
+    this->thunderBolt[2]->setTexture("textures/thunderbB3.png");
+    this->thunderBolt[3]->setTexture("textures/thunderbB4.png");
   }
 
Index: trunk/src/world_entities/weather_effects/snow_effect.cc
===================================================================
--- trunk/src/world_entities/weather_effects/snow_effect.cc	(revision 10316)
+++ trunk/src/world_entities/weather_effects/snow_effect.cc	(revision 10317)
@@ -107,5 +107,5 @@
   this->snowMove = false;
   this->particles = 12000;
-  this->texture = "maps/snow_flake_01_32x32.png";
+  this->texture = "textures/snow_flake_01_32x32.png";
   this->snowLife = 8;
   this->randomLife = 2;