Index: /code/branches/weaponFS15/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- /code/branches/weaponFS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10325)
+++ /code/branches/weaponFS15/data/levels/includes/weaponSettingsAssff.oxi	(revision 10326)
@@ -11,4 +11,5 @@
     </weaponsets>
     <weapons>
+	 
       <WeaponPack>
         <links>
@@ -43,11 +44,14 @@
         </Weapon>
       </WeaponPack>
-      <WeaponPack>
-        <links>
-          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+     <WeaponPack>
+            <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
         </links>
-        <!--Weapon>
-          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
-        </Weapon-->
+        <Weapon>
+          <!EnergyDrink mode=3 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" /-->
+        </Weapon>
       </WeaponPack>
     </weapons>
Index: /code/branches/weaponFS15/src/modules/weapons/projectiles/GravityBomb.h
===================================================================
--- /code/branches/weaponFS15/src/modules/weapons/projectiles/GravityBomb.h	(revision 10326)
+++ /code/branches/weaponFS15/src/modules/weapons/projectiles/GravityBomb.h	(revision 10326)
@@ -0,0 +1,64 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Gabriel Nadler
+ *   Co-authors:
+ *      simonmie
+ *
+ */
+
+
+/*
+ * GravityBomb.h
+ *
+ *  Created on: Mar 19, 2015
+ *      Author: meggiman
+ */
+
+#ifndef GravityBOMB_H_
+#define GravityBOMB_H_
+
+#include "weapons/WeaponsPrereqs.h"
+
+#include "tools/Timer.h"
+
+#include "graphics/ParticleSpawner.h"
+#include "interfaces/RadarViewable.h"
+
+#include "BasicProjectile.h"
+
+namespace orxonox
+{
+
+	class ConeCollisionShape;
+
+	class _WeaponsExport GravityBomb : public BasicProjectile , public RadarViewable, public MovableEntity
+	{
+		public:
+			GravityBomb(Context* context);
+
+		private:
+		float lifetime_;
+
+	}
+}
+#endif /* GravityBOMB_H_ */
Index: /code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.h
===================================================================
--- /code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10326)
+++ /code/branches/weaponFS15/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10326)
@@ -0,0 +1,63 @@
+/**
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver Scheuss
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file GravityBombFire.h
+    @brief Definition of the GravityBombFire class.
+*/
+
+#ifndef _GravityBombFire_H__
+#define _GravityBombFire_H__
+
+#include "weapons/WeaponsPrereqs.h"
+#include "weaponsystem/WeaponMode.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        Fires the GravityBomb
+    @author
+        Manuel Eggimann
+    @ingroup WeaponsWeaponModes
+    */
+    class _WeaponsExport GravityBombFire : public WeaponMode
+    {
+        public:
+            GravityBombFire(Context* context);
+            virtual ~GravityBombFire();
+
+            virtual void fire();
+
+        private:
+            float speed_; //!< The initial speed of the bomb when it is launched.
+    };
+}
+
+#endif /* _GravityBombFire_H__ */