Index: branches/camera/src/world_entities/blackscreen.cc
===================================================================
--- branches/camera/src/world_entities/blackscreen.cc	(revision 10272)
+++ branches/camera/src/world_entities/blackscreen.cc	(revision 10330)
@@ -33,5 +33,5 @@
  *
  */
-blackscreen::blackscreen ()
+blackscreen::blackscreen()
 {
   this->init();
@@ -57,5 +57,5 @@
  *
  */
-blackscreen::~blackscreen ()
+blackscreen::~blackscreen()
 {}
 
@@ -70,10 +70,10 @@
 
   this->material = new Material();
-  this->material->setIllum(3);
-  this->material->setDiffuse(0,0,0);
+ // this->material->setIllum(3);
+ // this->material->setDiffuse(0,0,0);
   this->material->setSpecular(0.0,0.0,0.0);
-  this->material->setAmbient(0, 0, 0);
+ // this->material->setAmbient(0, 0, 0);
 
-  i=0.5;
+  i=1;
   state=0;
   fadeSpeed=1;
@@ -118,5 +118,6 @@
 
 glColor4f(0, 0, 0, i);
-/*this->material->select();
+this->material->select();
+this->material->setTransparency(i);
   glBegin(GL_QUADS);
   glVertex3f(State::getCameraNode()->getAbsCoorX()+3,State::getCameraNode()->getAbsCoorY() -100.0f,
@@ -128,12 +129,12 @@
   glVertex3f(State::getCameraNode()->getAbsCoorX()+3, State::getCameraNode()->getAbsCoorY()+100.0f,
              State::getCameraNode()->getAbsCoorZ()-100.0f);
-*/
 
- glBegin(GL_QUADS);
+
+/* glBegin(GL_QUADS);
 glVertex3f(0,-100.0f,-100.0f);
 glVertex3f(0,-100.0f,+100.0f);
 glVertex3f(0,+100.0f,+100.0f);
 glVertex3f(0,+100.0f,-100.0f);
-
+*/
 
 
@@ -149,8 +150,8 @@
 void blackscreen::tick (float time)
 {
-/*if (state == true)
+if (state == true)
   fadeOut();
 else
-  fadeIn();*/
+  fadeIn();
 }
 
@@ -169,5 +170,6 @@
 void  blackscreen::toggleFade ()
 {
-  state=!state;
+
+    this->state= !this->state;
 }
 
Index: branches/camera/src/world_entities/blackscreen.h
===================================================================
--- branches/camera/src/world_entities/blackscreen.h	(revision 10272)
+++ branches/camera/src/world_entities/blackscreen.h	(revision 10330)
@@ -21,12 +21,12 @@
 
   public:
-    blackscreen ();
+    blackscreen();
     blackscreen(const TiXmlElement* root);
-    virtual ~blackscreen ();
+    virtual ~blackscreen();
 
     void init();
     virtual void loadParams(const TiXmlElement* root);
 
-    void toggleFade ();
+    void toggleFade();
     void changeFadeSpeed(float newSpeed);
     virtual void tick (float time);
Index: branches/camera/src/world_entities/cameraman.cc
===================================================================
--- branches/camera/src/world_entities/cameraman.cc	(revision 10272)
+++ branches/camera/src/world_entities/cameraman.cc	(revision 10330)
@@ -21,4 +21,5 @@
 #include "sound_engine.h"
 
+
 ObjectListDefinition(cameraman);
 
@@ -34,5 +35,5 @@
   this->cameras.push_back(currentCam);
   State::setCamera(currentCam, currentCam->getTarget());
-//   currentCam->setClipRegion(nearClip, farClip);
+  this->fadeToBlack=new blackscreen();
 }
 
@@ -123,4 +124,15 @@
 
 
+void cameraman::togglFade()
+{
+  if( this->fadeToBlack)
+    fadeToBlack->toggleFade();
+}
+
+
+
+//how to get a class fkt pointer
+
+//BaseObject* object = ObjectListBase::getBaseObject(className, objectName);
 
 
@@ -137,4 +149,2 @@
 
 
-
-
Index: branches/camera/src/world_entities/cameraman.h
===================================================================
--- branches/camera/src/world_entities/cameraman.h	(revision 10272)
+++ branches/camera/src/world_entities/cameraman.h	(revision 10330)
@@ -6,4 +6,5 @@
 #include <vector>
 #include "base_object.h"
+#include "blackscreen.h"
 
 class cameraman : public BaseObject {
@@ -14,5 +15,5 @@
     float nearClip;
     float farClip;
-
+    blackscreen* fadeToBlack;
 
   public:
@@ -31,5 +32,5 @@
     void testCam();
     void setClipRegion(float nearClip, float farClip);
-
+    void togglFade();
 
 };
Index: branches/camera/src/world_entities/test_entity.cc
===================================================================
--- branches/camera/src/world_entities/test_entity.cc	(revision 10272)
+++ branches/camera/src/world_entities/test_entity.cc	(revision 10330)
@@ -86,4 +86,6 @@
 void TestEntity::t2()
 {
+  CM= State::getCameraman();
+
   CM->moveCurrCam(0, -300, 0);
 
@@ -92,4 +94,5 @@
 void TestEntity::t3()
 {
+  CM= State::getCameraman();
 
   CM->setCam(1);
@@ -98,9 +101,13 @@
 void TestEntity::t4()
 {
+  CM= State::getCameraman();
 
+CM->togglFade();
 }
 
 void TestEntity::t5()
 {
+  CM= State::getCameraman();
+
   CM->setCam(0);
 }