Index: branches/playability/src/util/hud.cc
===================================================================
--- branches/playability/src/util/hud.cc	(revision 10330)
+++ branches/playability/src/util/hud.cc	(revision 10332)
@@ -316,4 +316,5 @@
         weapon->getEnergyWidget()->setBackgroundColor(Color(.8,.2,.11, 0.1));
         weapon->getEnergyWidget()->setFrontColor(Color( .2,.5,.7,.6));
+        weapon->getEnergyWidget()->setWidgetSize(150,50);
         //weapon->getEnergyWidget()->frontMaterial().setTransparency(.6);
         this->weaponsWidgetsSec.push_back(dynamic_cast<OrxGui::GLGuiEnergyWidgetVertical*> (weapon->getEnergyWidget()));
@@ -341,4 +342,7 @@
 
   int overlayWidth = this->resX * (overlayPercentage)/(200);
+  if (overlayWidth < 100)
+    overlayWidth = 100;
+
   this->rightRect->hide();
   this->leftRect->hide();
@@ -406,5 +410,5 @@
 
   std::list<OrxGui::GLGuiEnergyWidgetVertical*>::iterator weaponWidget;
-  Vector2D pos = Vector2D(overlayWidth + this->rightRect->getAbsCoor2D().x, 0.5*this->resY);
+  Vector2D pos = Vector2D(overlayWidth, 0.4*this->resY);
   //PRINTF(0)("Cur Pos: %f,%f\n",pos.x,pos.y);
   // out of reasons i can't get behind, this version is segfaulting when calling getSizeX2D or getSizeY2D. the other
@@ -413,11 +417,12 @@
   for (weaponWidget = this->weaponsWidgetsPrim.begin(); weaponWidget != this->weaponsWidgetsPrim.end(); weaponWidget++)
   {
-    if (pos.x < overlayWidth*0.2)
-    {
-      pos.x = overlayWidth + this->rightRect->getAbsCoor2D().x;
+    float ySize = (*weaponWidget)->getSizeY2D();
+    if (pos.x < ySize)
+    {
+      pos.x = overlayWidth;
       pos.y += (*weaponWidget)->getSizeX2D();
     }
-    pos.x -= (*weaponWidget)->getSizeY2D();
-    (*weaponWidget)->setAbsCoor2D(pos.x, pos.y);
+    pos.x -= ySize;
+    (*weaponWidget)->setAbsCoor2D(pos.x + this->rightRect->getAbsCoor2D().x, pos.y);
     //(*weaponWidget)->setAbsCoor2D(0,100);
     (*weaponWidget)->show();
@@ -426,14 +431,16 @@
 
   pos.y += 160;
-  pos.x = overlayWidth + this->rightRect->getAbsCoor2D().x;
+  pos.x = 0; //overlayWidth + this->rightRect->getAbsCoor2D().x;
   for (weaponWidget = this->weaponsWidgetsSec.begin(); weaponWidget != this->weaponsWidgetsSec.end(); weaponWidget++)
   {
-    if (pos.x < overlayWidth*0.2)
-    {
-      pos.x = overlayWidth + this->rightRect->getAbsCoor2D().x;
+    float ySize = (*weaponWidget)->getSizeY2D();
+    if (pos.x < ySize)
+    {
+      pos.x = overlayWidth;
       pos.y += (*weaponWidget)->getSizeX2D();
     }
-    pos.x -= (*weaponWidget)->getSizeY2D();
-    (*weaponWidget)->setAbsCoor2D(pos.x, pos.y);
+    pos.x -= ySize;
+    PRINTF(0)("secweaponwidget y-size: %f/n", (*weaponWidget)->getSizeY2D());
+    (*weaponWidget)->setAbsCoor2D(pos.x + this->rightRect->getAbsCoor2D().x, pos.y);
     (*weaponWidget)->show();
     //printf("update thing %s::%s\n", (*weaponWidget)->getClassCName(), (*weaponWidget)->getName());
Index: branches/playability/src/world_entities/elements/glgui_energywidgetvertical.cc
===================================================================
--- branches/playability/src/world_entities/elements/glgui_energywidgetvertical.cc	(revision 10330)
+++ branches/playability/src/world_entities/elements/glgui_energywidgetvertical.cc	(revision 10332)
@@ -89,4 +89,5 @@
   GLGuiEnergyWidgetVertical::~GLGuiEnergyWidgetVertical ()
   {
+
     if ( this->_valueText )
     {
@@ -100,4 +101,12 @@
       this->_image = NULL;
     }
+   
+    /*
+    if ( this->_bar )
+    {
+      delete this->_bar;
+      this->_bar = NULL;
+    }
+    */
   }
 
Index: branches/playability/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10330)
+++ branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10332)
@@ -179,4 +179,5 @@
 //  spike2->setName( "SpikeLauncher" );
 
+  /*
   Weapon* acid0 = new AcidLauncher();
   acid0->setName( "AcidSplasher" );
@@ -184,4 +185,5 @@
   Weapon* acid1 = new AcidLauncher();
   acid1->setName( "AcidSplasher" );
+  */
 
   this->weaponMan.addWeapon( wpLeft1, 0, 0);
@@ -203,6 +205,8 @@
   this->weaponMan.addWeapon( wpRight3, 3, 5);
 
+  /*
   this->weaponMan.addWeapon( acid0, 0, 6);
   this->weaponMan.addWeapon( acid1, 0, 7);
+  */
 
   this->secWeaponMan.addWeapon( cannon, 0, 2);
@@ -368,6 +372,6 @@
   //this->travelDistancePlus = Vector2D(38.0, 43.0);
   //this->travelDistanceMinus = Vector2D(-38.0, -43.0);
-  this->travelDistancePlus = Vector2D(0,0);
-  this->travelDistancePlus = Vector2D(0,0);
+  this->travelDistancePlus = Vector2D(50,50);
+  this->travelDistanceMinus = Vector2D(-50,-50);
   this->isTravelDistanceInit = false;
   this->actionWidthPercentage = 1;
@@ -419,5 +423,5 @@
   LoadParam(root, "cameraDistance", this, SpaceShip, setCameraDistance);
   LoadParam(root, "cameraFovy", this, SpaceShip, setCameraFovy);
-  LoadParam(root, "actionWidthPercentage", this, SpaceShip, setActionWidthPercentage);
+  //LoadParam(root, "actionWidthPercentage", this, SpaceShip, setActionWidthPercentage);
 
   State::getCamera()->setViewMode(Camera::ViewTop);
@@ -858,6 +862,8 @@
         this->travelNode->setAbsCoor(this->getAbsCoor());
         this->travelNode->updateNode(0.01f);
-        this->isTravelDistanceInit = false;
-        
+
+        if (this->hasPlayer())
+          this->isTravelDistanceInit = false;
+
         if(this->entityTrack)
            this->travelNode->setParent(this->entityTrack->getTrackNode());
@@ -1166,4 +1172,5 @@
   //State::getPlayer()->hud().setOverlayPercentage(100-i);
   //updateTravelDistance();
-  this->isTravelDistanceInit = false;
+  if (this->hasPlayer())
+    this->isTravelDistanceInit = false;
 };