Index: /branches/playability/src/world_entities/effects/wobblegrid.cc
===================================================================
--- /branches/playability/src/world_entities/effects/wobblegrid.cc	(revision 10332)
+++ /branches/playability/src/world_entities/effects/wobblegrid.cc	(revision 10333)
@@ -164,6 +164,6 @@
 
   glPushAttrib(GL_ENABLE_BIT);
-//   glDisable(GL_LIGHTING);
-//   glDisable(GL_FOG);
+  glDisable(GL_LIGHTING);
+  glDisable(GL_FOG);
 
   glMatrixMode(GL_MODELVIEW);
@@ -173,4 +173,8 @@
   //glTranslatef(0,0,0);
   this->material->select();
+
+  glDisable(GL_BLEND);
+  glEnable( GL_ALPHA_TEST);
+  glAlphaFunc( GL_GEQUAL, .5);
 
   glTranslatef (this->getAbsCoor ().x,
@@ -195,5 +199,5 @@
 
   Vector view = this->getAbsCoor() - State::getCameraNode()->getAbsCoor();
-  view.normalize();
+//   view.normalize();
 
   Vector up = Vector(0, 1, 0);
@@ -203,6 +207,6 @@
 //     up = Vector (0, 0, 1);
 
-  Vector h = up.cross(view/*.getNormalized()*/);
-  up = h.cross(view/*.getNormalized()*/);
+  Vector h = up.cross(view.getNormalized());
+  up = h.cross(view.getNormalized());
   Quaternion dir = Quaternion::lookAt( this->getAbsCoor(), this->getAbsCoor() + up, view);
 //   Quaternion dir = Quaternion::lookAt( Vector(), view, up);
Index: /branches/playability/src/world_entities/projectiles/acid_splash.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/acid_splash.cc	(revision 10332)
+++ /branches/playability/src/world_entities/projectiles/acid_splash.cc	(revision 10333)
@@ -55,11 +55,27 @@
   this->grid->setParent( this);
 
-//  if (rand()/2 == 0) //!<Randomized Textrures
-    this->grid->setTexture( "maps/acid3.png");
+
+  int rnd = rand()/3;
+
+  switch (rnd){
+    case 0:
+      this->grid->setTexture( "maps/acid2.png");
+      break;
+    case 1:
+      this->grid->setTexture( "maps/acid3.png");
+      break;
+    case 2:
+      this->grid->setTexture( "maps/blub.png");
+      break;
+    default:
+      this->grid->setTexture( "maps/acid2.png");
+  }
+//   if (rand()/2 == 0) //!<Randomized Textrures
+//     this->grid->setTexture( "maps/acid3.png");
 //   else
 //     this->grid->setTexture( "maps/blub.png");
 
   this->grid->toList(OM_ENVIRON); //this->getOMListNumber());
-  //this->toList(OM_ENVIRON);
+  this->toList(OM_ENVIRON);
 }
 
@@ -113,5 +129,5 @@
   this->deactivate();
   
-  return;
+//   return;
 
   //dynamic_cast<SpaceShip*>(entity)->damage( this->getPhysDamage(), this->getElecDamage());
Index: /branches/playability/src/world_entities/projectiles/projectile_weapon.h
===================================================================
--- /branches/playability/src/world_entities/projectiles/projectile_weapon.h	(revision 10332)
+++ /branches/playability/src/world_entities/projectiles/projectile_weapon.h	(revision 10333)
@@ -116,5 +116,5 @@
 
 //     FastFactory             ff;
-    static FastFactory*               fastFactory;
+//     static FastFactory*               fastFactory;
 
     OrxSound::SoundSource  soundSource;
Index: /branches/playability/src/world_entities/projectiles/spike.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike.cc	(revision 10332)
+++ /branches/playability/src/world_entities/projectiles/spike.cc	(revision 10333)
@@ -43,5 +43,5 @@
   this->registerObject(this, Spike::_objectList);
 
-  this->loadModel("models/projectiles/spike.obj");
+  this->loadModel("models/projectiles/spike.obj", 2);
 
   this->setMinEnergy(1);
Index: /branches/playability/src/world_entities/projectiles/spike_ball.cc
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike_ball.cc	(revision 10332)
+++ /branches/playability/src/world_entities/projectiles/spike_ball.cc	(revision 10333)
@@ -130,4 +130,6 @@
     this->launcher[tmp + i] =  this->launcher[i] * (-1);
   }
+
+  this->freeMode = false;
 }
 
@@ -157,5 +159,6 @@
 void SpikeBall::blow()
 {
-  updateFireDir();
+  if ( this->freeMode )
+    updateFireDir();
 
   Spike* pj = NULL;
@@ -258,4 +261,5 @@
   float matrix[4][4];
   glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+  this->halo->draw();
 
   glRotatef(angle, this->getRotationAxis().x, this->getRotationAxis().y, this->getRotationAxis().z);
@@ -264,5 +268,4 @@
   this->getModel()->draw();
 
-  this->halo->draw();
 
   glPopMatrix();
Index: /branches/playability/src/world_entities/projectiles/spike_ball.h
===================================================================
--- /branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10332)
+++ /branches/playability/src/world_entities/projectiles/spike_ball.h	(revision 10333)
@@ -61,4 +61,6 @@
     float         size;
 
+    bool          freeMode;
+
 };
 
Index: /branches/playability/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10332)
+++ /branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 10333)
@@ -176,8 +176,5 @@
   spike->setName( "SpikeThrower" );
 
-//  Weapon* spike2 = new SpikeLauncher();
-//  spike2->setName( "SpikeLauncher" );
-
-  /*
+
   Weapon* acid0 = new AcidLauncher();
   acid0->setName( "AcidSplasher" );
@@ -185,5 +182,5 @@
   Weapon* acid1 = new AcidLauncher();
   acid1->setName( "AcidSplasher" );
-  */
+
 
   this->weaponMan.addWeapon( wpLeft1, 0, 0);
@@ -195,5 +192,5 @@
   this->weaponMan.addWeapon( wpLeft3, 2, 4);
   this->weaponMan.addWeapon( wpRight3, 2, 5);
-
+/*
   this->weaponMan.addWeapon( wpLeft1, 3, 0);
   this->weaponMan.addWeapon( wpRight1, 3, 1);
@@ -204,9 +201,9 @@
   this->weaponMan.addWeapon( wpLeft3, 3, 4);
   this->weaponMan.addWeapon( wpRight3, 3, 5);
-
-  /*
-  this->weaponMan.addWeapon( acid0, 0, 6);
-  this->weaponMan.addWeapon( acid1, 0, 7);
-  */
+*/
+
+  this->weaponMan.addWeapon( acid0, 3, 0);
+  this->weaponMan.addWeapon( acid1, 3, 1);
+
 
   this->secWeaponMan.addWeapon( cannon, 0, 2);
@@ -216,9 +213,9 @@
 
 
-  this->weaponMan.changeWeaponConfig(0);
+  this->weaponMan.changeWeaponConfig(3);
   this->secWeaponMan.changeWeaponConfig(1);
 
-  curWeaponPrimary    = 3;
-  curWeaponSecondary  = 0;
+  curWeaponPrimary    = 0;
+  curWeaponSecondary  = 1;
 
   Playable::weaponConfigChanged();
Index: /branches/playability/src/world_entities/weapons/acid_launcher.cc
===================================================================
--- /branches/playability/src/world_entities/weapons/acid_launcher.cc	(revision 10332)
+++ /branches/playability/src/world_entities/weapons/acid_launcher.cc	(revision 10333)
@@ -83,9 +83,9 @@
   animation1->setInfinity(ANIM_INF_CONSTANT);
   animation2->setInfinity(ANIM_INF_CONSTANT);
-
+*/
   this->setStateDuration(WS_SHOOTING, .6);
   this->setStateDuration(WS_RELOADING, 1.0f);
   this->setStateDuration(WS_ACTIVATING, .4);
-  this->setStateDuration(WS_DEACTIVATING, .4);*/
+  this->setStateDuration(WS_DEACTIVATING, .4);
 
   this->setEnergyMax(100);
@@ -96,8 +96,8 @@
   this->setProjectileTypeC("AcidSplash");
 
-  this->loadModel("models/guns/turret1.obj", 1.0);
+//   this->loadModel("models/guns/turret1.obj", 1.0);
 
-  this->setEmissionPoint(1.0, 0, 0);
-  this->getProjectileFactory()->prepare(50);
+  this->setEmissionPoint(2.0, 0, 0);
+  this->getProjectileFactory()->prepare(100);
 
   this->setActionSound(WA_SHOOT, "sound/explosions/explosion_1.wav");