Index: /code/branches/towerdefenseFS15/data/levels/templates/enemytowerdefense.oxt
===================================================================
--- /code/branches/towerdefenseFS15/data/levels/templates/enemytowerdefense.oxt	(revision 10334)
+++ /code/branches/towerdefenseFS15/data/levels/templates/enemytowerdefense.oxt	(revision 10335)
@@ -167,5 +167,5 @@
    maxhealth         = 200
    initialhealth     = 100
-
+   
    shieldhealth        = 30
    initialshieldhealth = 30
Index: /code/branches/towerdefenseFS15/data/levels/templates/towerdefensetower.oxt
===================================================================
--- /code/branches/towerdefenseFS15/data/levels/templates/towerdefensetower.oxt	(revision 10334)
+++ /code/branches/towerdefenseFS15/data/levels/templates/towerdefensetower.oxt	(revision 10335)
@@ -20,5 +20,5 @@
   
      <controller>
-     <TurretController/>
+     <TurretController team = 1/>
   </controller>
   
@@ -26,6 +26,5 @@
   <attached>
 	
-    <Model position="0,0,0" scale=45 mesh="Tower.mesh" />
-    <Turret
+    <!--Turret
     
     explosionchunks        = 6
@@ -45,5 +44,5 @@
   		
   		
-  	</Turret>
+  	</Turret-->
   </attached>
     
Index: /code/branches/towerdefenseFS15/data/levels/towerDefense.oxw
===================================================================
--- /code/branches/towerdefenseFS15/data/levels/towerDefense.oxw	(revision 10334)
+++ /code/branches/towerdefenseFS15/data/levels/towerDefense.oxw	(revision 10335)
@@ -29,5 +29,5 @@
   <Pawn team=1>
     <camerapositions>
-      <CameraPosition position="0,0,1500"/>
+      <CameraPosition position="-2000,0,1500"/>
     </camerapositions>
   </Pawn>
@@ -59,5 +59,5 @@
 
     <!-- Spawns the camera, attached to a crate -->
-    <SpawnPoint team=1 position="0,0,0" spawnclass=Pawn pawndesign=centerpointmark />
+    <SpawnPoint team=1 position="2000,0,0" pawndesign=centerpointmark />
     <!--TeamSpawnPoint team=1 position="-7,7,4" direction="-1,0,0" roll=90 yaw=0 spawnclass=SpaceShip pawndesign=spaceshipassff /-->
 
@@ -69,5 +69,5 @@
 
     <!--invisible entity to attach towers to, since playfield is static and towers are dynamic-->
-    <StaticEntity team =1 position=0,0,0>
+    <StaticEntity position=0,0,0>
 
         <attached>
@@ -105,5 +105,4 @@
     collisionType=dynamic
     mass=100000
-    team=1
     />
 
Index: /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefense.cc	(revision 10334)
+++ /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefense.cc	(revision 10335)
@@ -154,5 +154,5 @@
         //set initial credits, lifes and WaveNumber
         this->setCredit(1000);
-        this->setLifes(25);
+        this->setLifes(100);
         this->setWaveNumber(0);
         time=0.0;
@@ -194,4 +194,5 @@
         }
 
+        en1->setTeam(2);
         en1->getController();
         en1->setPosition(path.at(0)->get3dcoordinate());
@@ -276,8 +277,17 @@
         towermatrix [x][y]=true;
 
+        //Create Model
+        Model* newtowermodel = new Model(this->center_->getContext());
+        newtowermodel->setMeshSource("Tower.mesh");
+        newtowermodel->setScale(45);
+        newtowermodel->setPosition(static_cast<float>((x-8) * tileScale), static_cast<float>((y-8) * tileScale), 50);
+
+
+
         //Creates tower
         TowerDefenseTower* towernew = new TowerDefenseTower(this->center_->getContext());
-        towernew->setPosition(static_cast<float>((x-8) * tileScale), static_cast<float>((y-8) * tileScale), 75);
+        towernew->setPosition(static_cast<float>((x-8) * tileScale), static_cast<float>((y-8) * tileScale), 275);
         towernew->setGame(this);
+        towernew->setTeam(1);
     }
 
Index: /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefenseTower.cc
===================================================================
--- /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefenseTower.cc	(revision 10334)
+++ /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefenseTower.cc	(revision 10335)
@@ -41,4 +41,5 @@
     }
 
+    /*
     void TowerDefenseTower::setOrientation(const Quaternion& orientation)
     {
@@ -56,4 +57,5 @@
     {
     }
+    */
 
     bool TowerDefenseTower::upgradeTower()
Index: /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefenseTower.h
===================================================================
--- /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefenseTower.h	(revision 10334)
+++ /code/branches/towerdefenseFS15/src/modules/towerdefense/TowerDefenseTower.h	(revision 10335)
@@ -38,8 +38,10 @@
 
         // Overriding these to stop TowerDefenseTowers from spasing out
+        /*
         void setOrientation(const Quaternion& orientation);
         virtual void rotateYaw(const Vector2& value);
         virtual void rotatePitch(const Vector2& value);
         virtual void rotateRoll(const Vector2& value);
+        */
         virtual bool upgradeTower();
 
Index: /code/branches/towerdefenseFS15/src/orxonox/controllers/FormationController.cc
===================================================================
--- /code/branches/towerdefenseFS15/src/orxonox/controllers/FormationController.cc	(revision 10334)
+++ /code/branches/towerdefenseFS15/src/orxonox/controllers/FormationController.cc	(revision 10335)
@@ -956,4 +956,6 @@
     bool FormationController::sameTeam(ControllableEntity* entity1, ControllableEntity* entity2, Gametype* gametype)
     {
+
+
         if (entity1 == entity2)
             return true;