Index: /branches/camera/src/world_entities/blackscreen.cc
===================================================================
--- /branches/camera/src/world_entities/blackscreen.cc	(revision 10337)
+++ /branches/camera/src/world_entities/blackscreen.cc	(revision 10338)
@@ -71,7 +71,9 @@
   this->material = new Material();
  // this->material->setIllum(3);
- // this->material->setDiffuse(0,0,0);
-  this->material->setSpecular(0.0,0.0,0.0);
- // this->material->setAmbient(0, 0, 0);
+ // this->material->setTransparency(0.6);
+  //this->material->setDiffuse(0,0,0);
+  //this->material->setBlendFuncS("GL_SORCE_APLHA", "GL_ZERO");
+ // this->material->setSpecular(0.0,0.0,0.0);
+ // this->material->setAmbient(1, 1, 1);
 
   i=1;
@@ -117,7 +119,9 @@
 //
 
-glColor4f(0, 0, 0, i);
+//glColor4f(0, 0, 0, i);
+
+this->material->setTransparency(i);
 this->material->select();
-this->material->setTransparency(i);
+
   glBegin(GL_QUADS);
   glVertex3f(State::getCameraNode()->getAbsCoorX()+3,State::getCameraNode()->getAbsCoorY() -100.0f,
@@ -179,2 +183,17 @@
 }
 
+bool blackscreen::isBlack()
+{
+if (i==1)
+  return 1;
+else
+  return 0;
+}
+
+bool blackscreen::isTrans()
+{
+  if (i==0)
+    return 1;
+  else
+    return 0;
+}
Index: /branches/camera/src/world_entities/blackscreen.h
===================================================================
--- /branches/camera/src/world_entities/blackscreen.h	(revision 10337)
+++ /branches/camera/src/world_entities/blackscreen.h	(revision 10338)
@@ -30,4 +30,6 @@
     void toggleFade();
     void changeFadeSpeed(float newSpeed);
+    bool isBlack();
+    bool isTrans();
     virtual void tick (float time);
 
Index: /branches/camera/src/world_entities/camera.cc
===================================================================
--- /branches/camera/src/world_entities/camera.cc	(revision 10337)
+++ /branches/camera/src/world_entities/camera.cc	(revision 10338)
@@ -19,5 +19,4 @@
 #include "glincl.h"
 #include "vector.h"
-#include "shell_command.h"
 #include "targets.h"
 
@@ -296,12 +295,4 @@
 ObjectListDefinition(CameraTarget);
 
-SHELL_COMMAND(det, CameraTarget, detach);
-SHELL_COMMAND(tes, CameraTarget, test);
-SHELL_COMMAND(tr, CameraTarget,trans);
-SHELL_COMMAND(t2, CameraTarget,test2);
-
-
-
-
 
 CameraTarget::CameraTarget()
@@ -395,14 +386,9 @@
 
 
-void CameraTarget::test()
-{
-  atach(target);
-}
-
-
-void CameraTarget::test2()
-{
-  trans(-200, 0, 0);
-}
-
-
+bool CameraTarget::isDone()
+{
+  if (fabs(translateTo.len()  - (target->getAbsCoor()).len()) >= 11 )
+    return 0;
+  else
+    return 1;
+}
Index: /branches/camera/src/world_entities/camera.h
===================================================================
--- /branches/camera/src/world_entities/camera.h	(revision 10337)
+++ /branches/camera/src/world_entities/camera.h	(revision 10338)
@@ -110,9 +110,8 @@
   Vector* rotate(Vector* newPos, float speed);
   void jump(float x, float y, float z);
-  void test();
   void translateNow(Vector* vec);
   PNode* createStick();
   void trans(float x, float y, float z);
-  void test2();
+  bool isDone();
 };
 
Index: /branches/camera/src/world_entities/cameraman.cc
===================================================================
--- /branches/camera/src/world_entities/cameraman.cc	(revision 10337)
+++ /branches/camera/src/world_entities/cameraman.cc	(revision 10338)
@@ -20,5 +20,5 @@
 #include "iostream.h"
 #include "sound_engine.h"
-
+#include <string>
 
 ObjectListDefinition(cameraman);
@@ -80,13 +80,17 @@
 
 
-void cameraman::changeTarget(int camNo, PNode* target)
+void cameraman::changeTarget(int camNo, std::string className, std::string objectName)
 {
-  cameras[camNo]->lookAt(target);
+  BaseObject* object = ObjectListBase::getBaseObject(className, objectName);
+  if( object != NULL && object->isA(PNode::staticClassID()))
+    cameras[camNo]->lookAt(dynamic_cast<PNode*>(object));
 }
 
 
-void cameraman::changeCurrTarget(PNode* target)
+void cameraman::changeCurrTarget(std::string className, std::string objectName)
 {
-  currentCam->lookAt(target);
+  BaseObject* object = ObjectListBase::getBaseObject(className, objectName);
+  if( object != NULL && object->isA(PNode::staticClassID()))
+    currentCam->lookAt(dynamic_cast<PNode*>(object));
 }
 
@@ -121,7 +125,4 @@
 
 
-
-
-
 void cameraman::togglFade()
 {
Index: /branches/camera/src/world_entities/cameraman.h
===================================================================
--- /branches/camera/src/world_entities/cameraman.h	(revision 10337)
+++ /branches/camera/src/world_entities/cameraman.h	(revision 10338)
@@ -24,6 +24,6 @@
     void moveCam(int x, int y, int z,  int camNo);
     void moveCurrCam(int x, int y, int z);
-    void changeTarget(int camNo, PNode* target);
-    void changeCurrTarget(PNode* target);
+    void changeTarget(int camNo, std::string className, std::string objectName);
+    void changeCurrTarget(std::string className, std::string objectName);
     void atachCurrTarget(PNode* target);
     void jumpCam(int x, int y, int z, int camNo);
Index: /branches/camera/src/world_entities/test_entity.cc
===================================================================
--- /branches/camera/src/world_entities/test_entity.cc	(revision 10337)
+++ /branches/camera/src/world_entities/test_entity.cc	(revision 10338)
@@ -87,7 +87,7 @@
 {
   CM= State::getCameraman();
-
-  CM->moveCurrCam(0, -300, 0);
-
+  CM->createCam();
+  CM->setCam(1);
+  CM->moveCurrCam(0, 0, 100);
 }
 
@@ -95,6 +95,5 @@
 {
   CM= State::getCameraman();
-
-  CM->setCam(1);
+  CM->moveCurrCam(-300, 0, 0);
 }
 